LettermintLettermint
  • Knowledge base
  • Community
  • Changelog
  • Support
  • Documentation
  • Sending API
  • Team API
Information
Core
    Generic
      Ping the APIgetList blocked file typesget
    Team
      Get team detailsgetUpdate team settingsputGet team usage statisticsgetGet reusable team rolesgetGet team membersgetGet a team membergetReplace a team member's assignmentput
    Stats
      Get message statisticsget
Email Platform
    Domain
      List all domains for the teamgetCreate a new domainpostGet domain detailsgetDelete a domaindeleteVerify all DNS records for a domainpostVerify a specific DNS recordpostUpdate projects associated with a domainput
    Project
      List all projects for the teamgetCreate a new projectpostGet project detailsgetUpdate project settingsputDelete a projectdeleteRotate Project API token (legacy)postList routes for a projectgetCreate a new routepostGet route detailsgetUpdate route settingsputDelete a routedeleteVerify inbound domain for a routepost
    Webhook
      List all webhooks for the teamgetCreate a new webhookpostGet webhook detailsgetUpdate webhook settingsputDelete a webhookdeleteTest a webhook by sending a sample payloadpostRegenerate webhook secretpostGet webhook deliveriesgetGet a specific webhook deliveryget
    Message
      List messages for the teamgetGet message detailsgetGet message eventsgetGet message sourcegetGet message HTML contentgetGet message plain text contentget
    Suppression
      List all suppressions for the teamgetAdd email(s) to suppression listpostRemove email from suppression listdelete
Schemas
Lettermint Team API
Lettermint Team API

Generic

Download schema

Ping the API

GET
https://api.lettermint.co/v1
/ping

This endpoint can be used to check the API status and verify authentication. It accepts both Team API tokens (via Bearer authentication) and Project API tokens (via X-Lettermint-Token header).

Ping the API › Headers

Authorization
​string

Team API token using Bearer authentication. Format: Bearer {team_token}.

X-Lettermint-Token
​string

Project API token.

Ping the API › Responses

Const value: 200
GET/ping
curl https://api.lettermint.co/v1/ping
Example Responses
200
json
application/json

List blocked file types

GET
https://api.lettermint.co/v1
/blocked-file-types
Bearer

Returns the file extensions and MIME types that cannot be sent as email attachments.

List blocked file types › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

List blocked file types › Responses

200
extensions
​string[] · required
mime_types
​string[] · required
GET/blocked-file-types
curl https://api.lettermint.co/v1/blocked-file-types \ --header 'Authorization: Bearer <token>'
Example Responses
{ "extensions": [ "string" ], "mime_types": [ "string" ] }
json
application/json

Team